commit:     00134303fd6b8946bcfae64b4da24ecd9ac3e348
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 25 04:08:38 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jun 25 04:08:57 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00134303

sys-apps/gentoo-functions: update live

Incorporate changes from kerframil for prefix required for latest
git changes.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../gentoo-functions/gentoo-functions-9999.ebuild  | 28 +++++++++++++++++-----
 1 file changed, 22 insertions(+), 6 deletions(-)

diff --git a/sys-apps/gentoo-functions/gentoo-functions-9999.ebuild 
b/sys-apps/gentoo-functions/gentoo-functions-9999.ebuild
index 54a24d65f0a1..864663a97757 100644
--- a/sys-apps/gentoo-functions/gentoo-functions-9999.ebuild
+++ b/sys-apps/gentoo-functions/gentoo-functions-9999.ebuild
@@ -1,8 +1,13 @@
-# Copyright 2014-2023 Gentoo Authors
+# Copyright 2014-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
+inherit meson
+
+DESCRIPTION="Base functions required by all Gentoo systems"
+HOMEPAGE="https://gitweb.gentoo.org/proj/gentoo-functions.git";
+
 if [[ ${PV} == 9999* ]]; then
        inherit git-r3
        EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/gentoo-functions.git";
@@ -11,11 +16,6 @@ else
        KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos 
~x64-macos ~x64-solaris"
 fi
 
-inherit meson
-
-DESCRIPTION="Base functions required by all Gentoo systems"
-HOMEPAGE="https://gitweb.gentoo.org/proj/gentoo-functions.git";
-
 LICENSE="GPL-2 public-domain"
 SLOT="0"
 IUSE="test"
@@ -34,3 +34,19 @@ src_configure() {
 
        meson_src_configure
 }
+
+src_install() {
+       meson_src_install
+
+       if [[ ${EPREFIX} ]]; then
+               while read -r; do
+                       if [[ ${REPLY} == $'\t'genfun_prefix= ]]; then
+                               printf 'genfun_prefix=%q\n' "${EPREFIX}"
+                       else
+                               printf '%s\n' "${REPLY}"
+                       fi || ! break
+               done < "${ED}/lib/gentoo/functions.sh" > "${T}/functions.sh" \
+               && mv -- "${T}/functions.sh" "${ED}/lib/gentoo/functions.sh" \
+               || die
+       fi
+}

Reply via email to